- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Evas_Native_Surface Struct Reference

## Data Fields
int | version
Evas_Native_Surface_Type | type
union {
struct {
void * visual
| visual of the pixmap to use (Visual)
unsigned long pixmap
| pixmap id to use (Pixmap)
} x11
struct {
unsigned int texture_id
| opengl texture id to use from glGenTextures()
unsigned int framebuffer_id
| 0 if not a FBO, FBO id otherwise from glGenFramebuffers()
unsigned int internal_format
| same as 'internalFormat' for glTexImage2D()
unsigned int format
| same as 'format' for glTexImage2D()
unsigned int x
unsigned int y
unsigned int w
unsigned int h
| region inside the texture to use (image size is assumed as texture size, with 0, 0 being the top-left and co-ordinates working down to the right and bottom being positive)
} opengl
} | data